###############################################################
#
# Config file for the LiveCD build scripts
# 
# This file will be sourced
#
# Urs Beyerle, PSI
#
###############################################################

# KERNEL = Kernel version of the LiveCD. 
# Change it to "2.6.9-42.0.3.EL" for example, if you are 
# building the LiveCD with a different kernel than the one 
# you are actually running
# 
# if the SMP version of the $KERNEL is installed, 
# it will alos be included in the LiveCD
#KERNEL="`uname -r`"
KERNEL=2.6.9-42.0.3.EL

# Define default runlevel for your LiveCD
RUNLEVEL=5

# The size of the RAM disk (in KBytes)
# normally you do not have to change this
RAM0SIZE=10000
# to be save, we use RAM0SIZE+10 for ramdisk_size boot option
RAMDISK_SIZE=$(( $RAM0SIZE + 10 ))

# Define default boot options
# normally you do not have to change this
BOOT_OPTIONS="max_loop=32 vga=791 ramdisk_size=$RAMDISK_SIZE root=/dev/ram0 rw"

# Define extra boot parameters, for example: pw=mypassword kb=us
# for more, see http://linux.web.psi.ch/livecd/parameter.html
#EXTRA_BOOT_OPTIONS="nopasswd kb=sg-latin1"

# Define failsafe boot option
# used if you boot with lable "failsafe"
FAILSAFE_BOOT_OPTIONS="nonet simplex apm=off acpi=off nofstab"

# Define default desktop windows manager and default login manager
# (will be put in /etc/sysconfig/desktop)
#DESKTOP=KDE
#DISPLAYMANAGER=GNOME

# Services which are off (not running) on the LiveCD
SERVICES_OFF="microcode_ctl cups yum xinetd afs rhnsd nfslock ip6tables \
              mdmonitor mdmpd hpoj sendmail sshd portmap snmptrapd \
              snmpd smartd cups-config-daemon sysstat lm_sensors exim \
              ntpd httpd irqbalance firstboot clamd"

# Services which are on (running) on the LiveCD
SERVICES_ON="apmd acpid pcmcia haldaemon autofs"

# Most probably the LiveCD will not boot with SELinux enabled !  
# SELinux can also be disabled with boot parameter "enforcing=0"
SELINUX=disabled
#BOOT_OPTIONS="$BOOT_OPTIONS enforcing=0"

# Define LiveCD OS string
LIVECD_OS="SL4"
